/****************************************************************
   @PRG_NAME: AT89C51xx-Flash
   @PRG_VERS: V00.01.00
   @PRG_AUTH: Rene Schube
   @PRG_LICS: GNU/GPL V3.x
   @PRG_DATE: 2011

   @FILE_NAME: main.h
 ****************************************************************/

// SYSTEM INCLUDES
#include <cvirte.h>
#include <ansi_c.h>

#ifndef _MAIN_H
#define _MAIN_H

   // GLOBAL DEFINES
   #define PRG_NAME "AT89C51xx-Flash"
   #define PRG_VERS "V00.01.00"
   #define PRG_AUTH "Rene Schube"
   #define PRG_LICS "GNU/GPL V3.x"
   #define PRG_DATE "2011"
   
   #define MAX_BYTECOUNT 15

   // FUNCTION DECLARATIONS
   int OpenComPort ( void );
   int Write_Byte ( char cByte );
   int Write_Record ( char cBufArray[128+1] );
   char Read_Byte ( void );
   int CloseComPort ( void );

   int CalcRecord( unsigned char ucByteCnt, unsigned int uiLoadOff, unsigned char ucRecType, char cData[MAX_BYTECOUNT] );
   
   // GLOBAL VARIABLES
   char  cMsgText[512];
   char  cBufArray[128+1];

#endif // _MAIN_H

// EOF - End of File
// Do not type any code after this line
